BEGIN WBRUPERT



IF ~NumTimesTalkedTo(0)~ THEN BEGIN WBRupertIntro
 SAY ~I'm sorry, sir, but I haven't any spare change for you. And I don't want my shoes shined.~
IF ~~ THEN EXTERN BWILLYB WBRupertIntro1
END

APPEND BWILLYB
IF ~~ THEN BEGIN WBRupertIntro1
SAY ~I'm gonna shine *my* shoes wiv ya arse, mate, if ya don't button it!~
IF ~~ THEN DO ~SetGlobal("WBUselessGlobal","LOCALS",1)~ EXTERN WBRUPERT WBRupertIntro2
END
END

APPEND WBRUPERT
IF ~~ THEN BEGIN WBRupertIntro2
SAY ~Oh, how droll! What a predictable, conformist thing to say. What is it you want?~
IF ~~ THEN DO ~SetGlobal("WBUselessGlobal","LOCALS",1)~ EXTERN BWILLYB WBRupertIntro3
END
END

APPEND BWILLYB
IF ~~ THEN BEGIN WBRupertIntro3
SAY ~Are you the ponce what's buyin' the Crooked Crane?~
IF ~~ THEN DO ~SetGlobal("WBUselessGlobal","LOCALS",1)~ EXTERN WBRUPERT WBRupertIntro4
END
END

APPEND WBRUPERT
IF ~~ THEN BEGIN WBRupertIntro4
SAY ~Yes, what of it?~
IF ~~ THEN DO ~SetGlobal("WBUselessGlobal","LOCALS",1)~ EXTERN BWILLYB WBRupertIntro5
END
END

APPEND BWILLYB
IF ~~ THEN BEGIN WBRupertIntro5
SAY ~Word on the street is that ya planning to close it.~
IF ~~ THEN DO ~SetGlobal("WBUselessGlobal","LOCALS",1)~ EXTERN WBRUPERT WBRupertIntro6
END
END

APPEND WBRUPERT
IF ~~ THEN BEGIN WBRupertIntro6
SAY ~Indeed. And why not? It's merely a den of normals and drearys.~
IF ~~ THEN DO ~SetGlobal("WBUselessGlobal","LOCALS",1)~ EXTERN BWILLYB WBRupertIntro7
END
END

APPEND BWILLYB
IF ~~ THEN BEGIN WBRupertIntro7
SAY ~It's not a den--it's a pub! He hasn't got a den! And it happens to be full o' my friends--well, people I get shit-faced wiv.~
IF ~~ THEN DO ~SetGlobal("WBUselessGlobal","LOCALS",1)~ EXTERN WBRUPERT WBRupertIntro8
END
END

APPEND WBRUPERT
IF ~~ THEN BEGIN WBRupertIntro8
SAY ~Well, that's even better then, because that means you'll be among those who will no longer be loitering near my property.~
IF ~~ THEN DO ~SetGlobal("WBUselessGlobal","LOCALS",1)~ EXTERN BWILLYB WBRupertIntro9
END
END

APPEND BWILLYB
IF ~~ THEN BEGIN WBRupertIntro9
SAY ~I'd like to see ya sign those deeds wiv a buncha broken fingers!~
IF ~~ THEN DO ~SetGlobal("WBUselessGlobal","LOCALS",1)~ EXTERN WBRUPERT WBRupertIntro10
END
END

APPEND WBRUPERT
IF ~~ THEN BEGIN WBRupertIntro10
SAY ~Oh, the humanity!~
IF ~~ THEN DO ~SetGlobal("WBRUPERTRuns","GLOBAL",1)AddJournalEntry(@5006,QUEST)EscapeAreaMove("AR0020",283,580,5)~ EXIT
END
END
